<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 婚礼卡 -->
<style>
    .edge .layui-edge {
        right: 10px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">婚礼卡</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="婚礼卡">
            <p>
                材质
            </p>
            <input type="radio" name="kindValue" value="0" title="300克铜版纸" checked="checked">
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" lay-verify="required"
                       autocomplete="off">
            </div>
            <p>
                数量（张）
            </p>
            <div class="layui-form-item">
                <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="radio" name="craftShua" lay-filter="switch" value="单面印刷" title="单面印刷" checked>
                <input type="radio" name="craftShua" lay-filter="switch" value="双面印刷" title="双面印刷">
                |&nbsp;&nbsp;&nbsp;&nbsp;
                <input type="radio" name="craftMo" lay-filter="switch" value="直角" title="直角" checked>
                <input type="radio" name="craftMo" lay-filter="switch" value="异形" title="异形">
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        function getProductImage() {

            let craftShua = $("input[name='craftShua']:checked").val();
            let craftMo = $("input[name='craftMo']:checked").val();

            $("#carousel").empty();
            let data = {proTypeValue: "婚礼卡"}
            let remark = "";
            let html = "";
            if (craftShua == "单面印刷" && craftMo == "直角") {
                data.craftValue = 0;
            }
            if (craftShua == "单面印刷" && craftMo == "异形") {
                data.craftValue = 1;
            }
            if (craftShua == "双面印刷" && craftMo == "直角") {
                data.craftValue = 2;
            }
            if (craftShua == "双面印刷" && craftMo == "异形") {
                data.craftValue = 3;
            }

            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[i].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on("radio(switch)", function (data) {
            getProductImage()
        })
        var checkZheye = 0;
        form.on('checkbox(switch)', function (data) {
            // 覆膜只能选一个
            var fumoLen = $(".fm:checked").length;
            if (fumoLen > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('[ 单面覆膜 - 双面覆膜 ]不能同时选择！', {
                    offset: ['300px', '300px']
                }, {icon: 5});
                return false;
            }
            if (data.value == '折页') {
                if (data.elem.checked) {
                    $(".zheyeHide").show();
                    checkZheye = 1;
                } else {
                    $(".zheyeHide").hide();
                    checkZheye = 0;
                }
            }
            if (data.value == '压痕') {
                if (data.elem.checked) {
                    $(".yahenHide").show();
                } else {
                    $(".yahenHide").hide();
                }
            }

        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kindData = {
                0: "300克铜版纸"
            };
            var kindValue = [$('input[name="kindValue"]:checked').val()];
            var craftShua = [$('input[name="craftShua"]:checked').val()];
            var craftMo = [$('input[name="craftMo"]:checked').val()];
            var number = $("#number").val();
            var size = $("#size").val();
            var craft = "";
            if ((size.split("*")[0] > 18 || size.split("*")[1] > 5.4) && (size.split("*")[0] > 5.4 || size.split("*")[1] > 18)) {
                layer.msg("婚礼卡尺寸超过18*5.4 cm请单独报价！", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = "婚礼卡 - " + kindData[kindValue] + ' - ' + size + ' 厘米(同款内容)\n' + "工艺 : " + craftShua + '，' + craftMo + "\n";
                    craft += craftShua + craftMo;
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    var count = $("#count").val();
                    getRemark($("#proTypeValue").val(), size, count + "张", kindData[kindValue], number, craft, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            },/* {
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价',
							templet : function(d) {
								return Math.ceil(d.price * 0.98)
							} 
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价',
							templet : function(d) {
								return Math.ceil(d.price * 0.96)
							} 
						}, */{
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>